PineTime - A promising open-source smartwatch and my experience

## A PineWhatNow?

[PineTime](https://www.pine64.org/pinetime/) is a open-source smartwatch built by Pine64
and the community. It rocks a 1.3 inch IPS capacitive touchscreen and boasts a week long
(yet to verify, but seems likely!) battery life and it communicates over BLE and Bluetooth 5.
It has the typical features of your usual smartwatch such as step counting and heart rate
sensor, ability to control your music and view notifications - all that on very low specs.
It runs on a nRF52832 SoC with a 64MHz ARM Cortex-M4F CPU coupled with 512KB Flash and 64KB
of RAM. It also has additional SPI NOR 4MB Flash which community software has recently taken
advantage of.

Now that you know fundamentally what a PineTime is, what sets this apart is the openness
of device, you can replace the firmware and bootloader with anything of your choice. You
do not have to use the preinstalled [InfiniTime](https://github.com/JF002/InfiniTime) and
can install a firmware of your own choice such as [WaspOS](https://github.com/daniel-thompson/wasp-os).
Other smartwatches often depend on sending telemetry or constant feed of your data to a
centralised server - it is convenient for sure, but it comes with a large invasion of your
privacy. You are in charge of your own data, you do not need to send your data anywhere in
order to access it, you can simply use open-source companion apps that only keep track of data
offline.

## Ok, but how nice is it to actually use?

My experience with PineTime is rather recent, I got my hands on it on July 22th, 2021.
It shipped with InfiniTime 1.2.0 and MCUBoot 1.0.0 which was the most recent at the time.
Setting it up was very simple, all I needed was [GadgetBridge](https://gadgetbridge.org/)
[(source code)](https://codeberg.org/Freeyourgadget/Gadgetbridge) on my phone and connect it
over Bluetooth. Time and date synced immediately after making a connection without a hitch.
I was also pleasantly surprised with how easily the menu was navigatable - so UI/UX gets
another point from me. The step counter on PineTime is also surprisingly good for a device
that retails only for $26.99 - I had zero false positives when in any moving vehicle, my last
smartwatch (regrettably, Garmin) got a ton of false positives constantly. The music program
also worked very nicely with my phone which runs clean Android 11, found it really intuitive
to use. There are a few shortcomings, though - for one, touch registering currently works via
constant polling, so single taps may not exactly register or get delayed quite a bit - fortunately,
[this is being addressed](https://github.com/JF002/InfiniTime/issues/471). The next issue I
had only once, woke up one morning to the watch being unpaired from my phone, rebooting the watch
fixed it at cost of losing all the steps I had gotten during my morning routine - and at the time
of the issue occuring, InfiniTime 1.2.0 had issues with keeping settings saved. This has been
addressed by InfiniTime 1.3.0 with introduction of LittleFS.

Overall, it's been a solid experience - as of the time of writing, I am running InfiniTime 1.3.0
with PineTimeStyle watchface ([+ color picker PR applied](https://github.com/JF002/InfiniTime/pull/458))
and I am very much satisfied. [This is how the PineTime looks like](https://based.quest/img/pinetime_review_pic.jpg).

Thanks for reading
- Cernodile

;tags:pine64 smartwatch opensource review
;description:PineTime is a open-source smartwtch built by Pine64 and the community on the budget. Does it hold up to Cernodile's standards - is he satisifed, is it any good or a fail? Find out in this blog post!
;og_image:<meta property="og:image" content="https://based.quest/img/pinetime_review_pic.jpg">
